LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
UnoUrlResolver Service Referencepublished

provides the ability to access remote processes, resolving them by an UNO url. More...

`import"UnoUrlResolver.idl";`

Inheritance diagram for UnoUrlResolver:

## Additional Inherited Members
Public Member Functions inherited from XUnoUrlResolver
com::sun::star::uno::XInterface | resolve ([in] string sUnoUrl) raises (com::sun::star::connection::NoConnectException, com::sun::star::connection::ConnectionSetupException, com::sun::star::lang::IllegalArgumentException)
| resolves an object using the given uno-url. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the ability to access remote processes, resolving them by an UNO url.

Developers Guide
  ProUNO - Java - Getting a Service Manager
  AdvUNO - Implementing UNO Language Bindings - Overview of Language Bindings and Bridges - Bootstrapping
  ProUNO - C++ - Establishing Interprocess Connections
  ProUNO - UNO Interprocess Connections

The documentation for this service was generated from the following file:

- com/sun/star/bridge/UnoUrlResolver.idl